ServiceWatch
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of ServiceWatch service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Status | Not Before |
|---|
| 1.2 | CURRENT | - |
| 1.1 | SUPPORTED | 20260831 |
| 1.0 | DEPRECATED | 20260630 |
OpenAPI URL
https://servicewatch.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - CreateAlert
1.1.1 - 1.2
post /v1/alerts
Description
Create an Alert
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | AlertCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/alerts
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"description": "Alert1 Description",
"dimension": {
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
},
"dimensions": [],
"evaluation_count": 3,
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"level": "HIGH",
"lower_bound": 80.0,
"metric_id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"missing_data_option": "BREACHING",
"name": "Alert1",
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"operator": "RANGE",
"period": 300,
"recipient_ids": [
"1234da92-634a-4f8c-932e-9d650599ab1b",
"1234da92-634a-4f8c-932e-9d650599ab1a",
"1234da92-634a-4f8c-932e-9d650599ab1c"
],
"statistic": "AVG",
"tags": [
{
"key": "key01",
"value": "value01"
}
],
"threshold": 80.0,
"upper_bound": 90.0,
"violation_count": 2
}
Example HTTP response
Response 201
{
"created_at": "2026-04-14T15:03:57.917Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "0ad6da92-634a-4f8c-932e-9d650599ab1e"
}
1.2 - CreateCustomLogEvents
1.2.1 - 1.2
post /v1/log-groups/log-streams/log-events
Description
Create Custom log events
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/log-groups/log-streams/log-events
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"resourceLogs": [
{
"resource": {
"attributes": [
{
"key": "log_stream_value",
"value": {
"stringValue": "a1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "log_group_value",
"value": {
"stringValue": "b1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "account_id",
"value": {
"stringValue": "c1e2f3045678901a2b3c4d5e6f7a8b81"
}
}
]
},
"scopeLogs": [
{
"logRecords": [
{
"body": {
"stringValue": "level=info otlp test log"
},
"timeUnixNano": "1762336464000000000"
}
]
}
]
}
]
}
Example HTTP response
Response 202
1.2.2 - 1.1
post /v1/log-groups/log-streams/log-events
Description
Create Custom log events
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
Example HTTP request
Request path
/v1/log-groups/log-streams/log-events
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"resourceLogs": [
{
"resource": {
"attributes": [
{
"key": "log_stream_value",
"value": {
"stringValue": "a1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "log_group_value",
"value": {
"stringValue": "b1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "account_id",
"value": {
"stringValue": "c1e2f3045678901a2b3c4d5e6f7a8b81"
}
}
]
},
"scopeLogs": [
{
"logRecords": [
{
"body": {
"stringValue": "level=info otlp test log"
},
"timeUnixNano": "1762336464000000000"
}
]
}
]
}
]
}
Example HTTP response
Response 202
1.3 - CreateCustomLogStream
1.3.1 - 1.2
post /v1/log-groups/log-streams/collect/custom
Description
Create a custom log stream
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/log-groups/log-streams/collect/custom
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"log_group_name": "testlg01",
"log_stream_name": "testls01"
}
Example HTTP response
Response 200
{
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"log_group_value": "fa6169af200b4d5db229aff384b2a028",
"log_stream_value": "551513c5182b45beb22eadb634cdccfb",
"requests_per_second": 500
}
1.3.2 - 1.1
post /v1/log-groups/log-streams/collect/custom
Description
Create a custom log stream
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
Example HTTP request
Request path
/v1/log-groups/log-streams/collect/custom
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"log_group_name": "testlg01",
"log_stream_name": "testls01"
}
Example HTTP response
Response 200
{
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"log_group_value": "fa6169af200b4d5db229aff384b2a028",
"log_stream_value": "551513c5182b45beb22eadb634cdccfb",
"requests_per_second": 500
}
1.4 - CreateCustomMetricMetas
1.4.1 - 1.2
post /v1/metrics/custom/meta
Description
Create Custom Metric Metas
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/metrics/custom/meta
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"metricMetas": [
{
"descriptionEn": "filestorage volume total byte",
"descriptionKo": "파일스토리지 총 바이트 수",
"dimensions": [
[
"image_id"
]
],
"metricName": "Custom_filestorage_volume_total_byte",
"storageResolution": 60,
"unit": "Bytes"
}
],
"namespace": "MyCustom/filestorage"
}
Example HTTP response
Response 200
{
"account_id": "d79a5194b1a44a858969eb94754d3ba1",
"max_data_points": "",
"unit_logs": [
{
"code": "Success",
"message": "[libvirt_domain_info_virtual_cpus] unit is updated from Count to Bytes"
}
]
}
1.4.2 - 1.1
post /v1/metrics/custom/meta
Description
Create Custom Metric Metas
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
Example HTTP request
Request path
/v1/metrics/custom/meta
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"metricMetas": [
{
"descriptionEn": "filestorage volume total byte",
"descriptionKo": "파일스토리지 총 바이트 수",
"dimensions": [
[
"image_id"
]
],
"metricName": "Custom_filestorage_volume_total_byte",
"storageResolution": 60,
"unit": "Bytes"
}
],
"namespace": "MyCustom/filestorage"
}
Example HTTP response
Response 200
{
"account_id": "d79a5194b1a44a858969eb94754d3ba1",
"max_data_points": "",
"unit_logs": [
{
"code": "Success",
"message": "[libvirt_domain_info_virtual_cpus] unit is updated from Count to Bytes"
}
]
}
1.5 - CreateCustomMetrics
1.5.1 - 1.2
post /v1/metrics/custom
Description
Create Custom Metrics. The request body of this API can receive data in either camelCase or snake_case.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"resource_metrics": [
{
"resource": {
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
]
},
"scope_metrics": [
{
"metrics": [
{
"description": "The total number of bytes read successfully.",
"gauge": {
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
]
},
"name": "node_disk_read_bytes_total",
"sum": {
"aggregation_temporality": "2",
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
],
"is_monotonic": true
},
"unit": "Bytes"
}
],
"scope": {
"name": "ServiceWatch-Agent",
"version": "1.0.0"
}
}
]
}
]
}
Example HTTP response
Response 202
1.5.2 - 1.1
post /v1/metrics/custom
Description
Create Custom Metrics. The request body of this API can receive data in either camelCase or snake_case.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"resource_metrics": [
{
"resource": {
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
]
},
"scope_metrics": [
{
"metrics": [
{
"description": "The total number of bytes read successfully.",
"gauge": {
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
]
},
"name": "node_disk_read_bytes_total",
"sum": {
"aggregation_temporality": "2",
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
],
"is_monotonic": true
},
"unit": "Bytes"
}
],
"scope": {
"name": "ServiceWatch-Agent",
"version": "1.0.0"
}
}
]
}
]
}
Example HTTP response
Response 202
1.6 - CreateDashboard
1.6.1 - 1.2
post /v1/dashboards
Description
Create dashboard
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/dashboards
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"name": "New-Monitoring-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 201
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-04-14T15:03:58.083Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"service_code": "virtualserver",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
1.6.2 - 1.1
post /v1/dashboards
Description
Create dashboard
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
Example HTTP request
Request path
/v1/dashboards
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"name": "New-Monitoring-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 201
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-04-14T15:03:57.526Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"service_code": "virtualserver",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
1.6.3 - 1.0
post /v1/dashboards
Description
Create dashboard
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | DashboardDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/dashboards
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"name": "New-Monitoring-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 201
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-04-14T15:03:57.179Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
1.7 - CreateEventRule
1.7.1 - 1.2
post /v1/event-rules
Description
Create an Event rule.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"name": "Event rule 1",
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
],
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2026-04-14T15:03:58.175Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2026-04-14T15:03:58.175Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
1.7.2 - 1.1
post /v1/event-rules
Description
Create an Event rule.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"name": "Event rule 1",
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
],
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2026-04-14T15:03:57.619Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2026-04-14T15:03:57.619Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
1.7.3 - 1.0
post /v1/event-rules
Description
Create an Event rule.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"name": "Event rule 1",
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
],
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2026-04-14T15:03:57.272Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2026-04-14T15:03:57.272Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
1.8 - CreateLogGroup
1.8.1 - 1.2
post /v1/log-groups
Description
Create a Log group.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2026-04-14T15:03:58.261Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:58.261Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
1.8.2 - 1.1
post /v1/log-groups
Description
Create a Log group.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2026-04-14T15:03:57.689Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:57.689Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
1.8.3 - 1.0
post /v1/log-groups
Description
Create a Log group.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2026-04-14T15:03:57.352Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:57.352Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
1.9 - CreateLogStream
1.9.1 - 1.2
post /v1/log-groups/{log_group_id}/log-streams
Description
Create a Log group log stream.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8
| string | None |
| body | body required |
| LogGroupLogStreamCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | LogStreamShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
Example HTTP response
Response 201
{
"log_stream": {
"collect_yn": "Y",
"created_at": "2026-04-14T15:03:58.365Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "b0fc99a46a2c44b8b22739b130853dd8",
"log_group_id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:58.365Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testls01"
}
}
1.9.2 - 1.1
post /v1/log-groups/{log_group_id}/log-streams
Description
Create a Log group log stream.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8
| string | None |
| body | body required |
| LogGroupLogStreamCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | LogStreamShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
Example HTTP response
Response 201
{
"log_stream": {
"collect_yn": "Y",
"created_at": "2026-04-14T15:03:57.777Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "b0fc99a46a2c44b8b22739b130853dd8",
"log_group_id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:57.777Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testls01"
}
}
1.9.3 - 1.0
post /v1/log-groups/{log_group_id}/log-streams
Description
Create a Log group log stream.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8
| string | None |
| body | body required |
| LogGroupLogStreamCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | LogStreamShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
Example HTTP response
Response 201
{
"log_stream": {
"collect_yn": "Y",
"created_at": "2026-04-14T15:03:57.404Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "b0fc99a46a2c44b8b22739b130853dd8",
"log_group_id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:57.404Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testls01"
}
}
1.10 - DeleteAlerts
1.10.1 - 1.2
delete /v1/alerts
Description
Delete Alerts
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | AlertDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/alerts
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"ids": [
"0ad6da92-634a-4f8c-932e-9d650599ab1e"
]
}
Example HTTP response
Response 200
{
"ids": [
"0ad6da92-634a-4f8c-932e-9d650599ab1e"
]
}
1.11 - DeleteBulkDashboards
1.11.1 - 1.2
delete /v1/dashboards
Description
Delete bulk dashboards
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/dashboards
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"dashboard_ids": [
"b48e730a70e74f6aa3d2555000b5c22b",
"c48e730a70e74f6aa3d2555000b5c22b"
]
}
Example HTTP response
Response 200
{
"dashboard_names": [
"dash-abc",
"dash-def"
]
}
1.11.2 - 1.1
delete /v1/dashboards
Description
Delete bulk dashboards
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
Example HTTP request
Request path
/v1/dashboards
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"dashboard_ids": [
"b48e730a70e74f6aa3d2555000b5c22b",
"c48e730a70e74f6aa3d2555000b5c22b"
]
}
Example HTTP response
Response 200
{
"dashboard_names": [
"dash-abc",
"dash-def"
]
}
1.11.3 - 1.0
delete /v1/dashboards
Description
Delete bulk dashboards
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
Example HTTP request
Request path
/v1/dashboards
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"dashboard_ids": [
"b48e730a70e74f6aa3d2555000b5c22b",
"c48e730a70e74f6aa3d2555000b5c22b"
]
}
Example HTTP response
Response 200
{
"dashboard_names": [
"dash-abc",
"dash-def"
]
}
1.12 - DeleteEventRules
1.12.1 - 1.2
delete /v1/event-rules
Description
Delete Event rules.
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/event-rules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
Example HTTP response
Response 200
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
1.12.2 - 1.1
delete /v1/event-rules
Description
Delete Event rules.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
Example HTTP request
Request path
/v1/event-rules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
Example HTTP response
Response 200
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
1.12.3 - 1.0
delete /v1/event-rules
Description
Delete Event rules.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
Example HTTP request
Request path
/v1/event-rules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
Example HTTP response
Response 200
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
1.13 - DeleteLogGroups
1.13.1 - 1.2
delete /v1/log-groups
Description
Delete Log groups.
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/log-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
1.13.2 - 1.1
delete /v1/log-groups
Description
Delete Log groups.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
Example HTTP request
Request path
/v1/log-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
1.13.3 - 1.0
delete /v1/log-groups
Description
Delete Log groups.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
Example HTTP request
Request path
/v1/log-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
1.14 - DeleteLogStreams
1.14.1 - 1.2
delete /v1/log-groups/{log_group_id}/log-streams
Description
Delete Log group log streams.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8
| string | None |
| body | body required |
| LogGroupLogStreamsDeleteRequest | |
Responses
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"ids": [
"b0fc99a46a2c44b8b22739b130853dd8",
"36dc853661144df687c4c7f158db5553",
"3f611f40e9f841acbd62639b2779e35e",
"5bd44e218eeb4f6190048a85599ade44",
"188842fa2f13484ba6c9e210b817c780"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
1.14.2 - 1.1
delete /v1/log-groups/{log_group_id}/log-streams
Description
Delete Log group log streams.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8
| string | None |
| body | body required |
| LogGroupLogStreamsDeleteRequest | |
Responses
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"ids": [
"b0fc99a46a2c44b8b22739b130853dd8",
"36dc853661144df687c4c7f158db5553",
"3f611f40e9f841acbd62639b2779e35e",
"5bd44e218eeb4f6190048a85599ade44",
"188842fa2f13484ba6c9e210b817c780"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
1.14.3 - 1.0
delete /v1/log-groups/{log_group_id}/log-streams
Description
Delete Log group log streams.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8
| string | None |
| body | body required |
| LogGroupLogStreamsDeleteRequest | |
Responses
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"ids": [
"b0fc99a46a2c44b8b22739b130853dd8",
"36dc853661144df687c4c7f158db5553",
"3f611f40e9f841acbd62639b2779e35e",
"5bd44e218eeb4f6190048a85599ade44",
"188842fa2f13484ba6c9e210b817c780"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
1.15 - DownloadMetricDataImage
1.15.1 - 1.2
post /v1/metrics/data/download/image
Description
Download metric data image
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/data/download/image
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"end": 1640995440,
"height": 400,
"metrics": [
{
"color": "#0000ff",
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"name": "CPU Usage/Core[Basic]",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"start": 1640995200,
"statistic_type": "AVG",
"timezone": "UTC",
"title": "Virtual Server Metric Chart",
"width": 600
}
Example HTTP response
Response 200
1.15.2 - 1.1
post /v1/metrics/data/download/image
Description
Download metric data image
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/data/download/image
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"end": 1640995440,
"height": 400,
"metrics": [
{
"color": "#0000ff",
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"name": "CPU Usage/Core[Basic]",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"start": 1640995200,
"statistic_type": "AVG",
"timezone": "UTC",
"title": "Virtual Server Metric Chart",
"width": 600
}
Example HTTP response
Response 200
1.15.3 - 1.0
post /v1/metrics/data/download/image
Description
Download metric data image
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/data/download/image
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"end": 1640995440,
"height": 400,
"metrics": [
{
"color": "#0000ff",
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"name": "CPU Usage/Core[Basic]",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"start": 1640995200,
"statistic_type": "AVG",
"timezone": "UTC",
"title": "Virtual Server Metric Chart",
"width": 600
}
Example HTTP response
Response 200
1.16 - ListDashboards
1.16.1 - 1.2
get /v1/dashboards
Description
Get list of dashboards
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : name:asc or modified_at:desc
| any of [string, null] | None |
| query | name optional | Dashboard’s name Example : MyProd
| any of [string, null] | None |
| query | name_like optional | Wildcard Search for Dashboard Names Example : MyProd
| any of [string, null] | None |
| query | favorite_enabled optional | Whether it is a favorite dashboard Example : True
| any of [boolean, null] | None |
| query | type optional | Dashboard type Example : Custom
| any of [string, null] | None |
| query | service_code optional | Associated service code Example : virtualserver
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | DashboardPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Example HTTP response
Response 200
{
"count": 20,
"dashboards": [
{
"created_at": "2026-04-14T15:03:58.065Z",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "2026-04-14T15:03:58.065Z",
"name": "Production-Web-Servers",
"type": "Custom"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.16.2 - 1.1
get /v1/dashboards
Description
Get list of dashboards
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : name:asc or modified_at:desc
| any of [string, null] | None |
| query | name optional | Dashboard’s name Example : MyProd
| any of [string, null] | None |
| query | name_like optional | Wildcard Search for Dashboard Names Example : MyProd
| any of [string, null] | None |
| query | favorite_enabled optional | Whether it is a favorite dashboard Example : True
| any of [boolean, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | DashboardPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Example HTTP response
Response 200
{
"count": 20,
"dashboards": [
{
"created_at": "2026-04-14T15:03:57.509Z",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "2026-04-14T15:03:57.509Z",
"name": "Production-Web-Servers",
"type": "Custom"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.16.3 - 1.0
get /v1/dashboards
Description
Get list of dashboards
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : name:asc or modified_at:desc
| any of [string, null] | None |
| query | name optional | Dashboard’s name Example : MyProd
| any of [string, null] | None |
| query | name_like optional | Wildcard Search for Dashboard Names Example : MyProd
| any of [string, null] | None |
| query | favorite_enabled optional | Whether it is a favorite dashboard Example : True
| any of [boolean, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | DashboardPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Example HTTP response
Response 200
{
"count": 20,
"dashboards": [
{
"created_at": "2026-04-14T15:03:57.160Z",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "2026-04-14T15:03:57.160Z",
"name": "Production-Web-Servers",
"type": "Custom"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.17 - ListLogGroups
1.17.1 - 1.2
get /v1/log-groups
Description
Get list of Log groups.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | ids optional | List of Log group IDs Example : 602b39cb1d6b4b7fb0f18de43a4c689c,bce52822147744b4afe0187164caa2e8,953978a05b5d4ab8b2fc80bb5d0b8b6e,3eeb8030bfca4e729b8332f6004628a4,4a11695ad4b34539b4cee12db2a14aa9
| any of [array[string], null] | None |
| query | name optional | Log group name Example : testlg01
| any of [string, null] | None |
| query | retention_periods optional | List of Log group retention periods Example : -1,7,30,365
| any of [array[integer], null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogGroupPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Example HTTP response
Response 200
{
"count": 20,
"log_groups": [
{
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2026-04-14T15:03:58.244Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:58.244Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.17.2 - 1.1
get /v1/log-groups
Description
Get list of Log groups.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | ids optional | List of Log group IDs Example : 602b39cb1d6b4b7fb0f18de43a4c689c,bce52822147744b4afe0187164caa2e8,953978a05b5d4ab8b2fc80bb5d0b8b6e,3eeb8030bfca4e729b8332f6004628a4,4a11695ad4b34539b4cee12db2a14aa9
| any of [array[string], null] | None |
| query | name optional | Log group name Example : testlg01
| any of [string, null] | None |
| query | retention_periods optional | List of Log group retention periods Example : -1,7,30,365
| any of [array[integer], null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogGroupPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Example HTTP response
Response 200
{
"count": 20,
"log_groups": [
{
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2026-04-14T15:03:57.672Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:57.672Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.17.3 - 1.0
get /v1/log-groups
Description
Get list of Log groups.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | ids optional | List of Log group IDs Example : 602b39cb1d6b4b7fb0f18de43a4c689c,bce52822147744b4afe0187164caa2e8,953978a05b5d4ab8b2fc80bb5d0b8b6e,3eeb8030bfca4e729b8332f6004628a4,4a11695ad4b34539b4cee12db2a14aa9
| any of [array[string], null] | None |
| query | name optional | Log group name Example : testlg01
| any of [string, null] | None |
| query | retention_periods optional | List of Log group retention periods Example : -1,7,30,365
| any of [array[integer], null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogGroupPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Example HTTP response
Response 200
{
"count": 20,
"log_groups": [
{
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2026-04-14T15:03:57.334Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:57.334Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.18 - ListMetricData
1.18.1 - 1.2
post /v1/metrics/data
Description
Get metric data list
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | MetricDataResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/data
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"end": 1640995440,
"metrics": [
{
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"name": "CPU Usage/Core[Basic]",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"start": 1640995200,
"statistic_type": "AVG"
}
Example HTTP response
Response 200
{
"metrics": [
{
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"status": "",
"values": "[[1640995200, \"45.5\"]]"
}
]
}
1.18.2 - 1.1
post /v1/metrics/data
Description
Get metric data list
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | MetricDataResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/data
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"end": 1640995440,
"metrics": [
{
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"name": "CPU Usage/Core[Basic]",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"start": 1640995200,
"statistic_type": "AVG"
}
Example HTTP response
Response 200
{
"metrics": [
{
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"status": "",
"values": "[[1640995200, \"45.5\"]]"
}
]
}
1.18.3 - 1.0
post /v1/metrics/data
Description
Get metric data list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | MetricDataResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/data
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"end": 1640995440,
"metrics": [
{
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"name": "CPU Usage/Core[Basic]",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"start": 1640995200,
"statistic_type": "AVG"
}
Example HTTP response
Response 200
{
"metrics": [
{
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"status": "",
"values": "[[1640995200, \"45.5\"]]"
}
]
}
1.19 - ListMetricInfos
1.19.1 - 1.2
post /v1/metrics
Description
Get metric list
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | MetricsResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"metric_name": "CPU Usage/Core[Basic]",
"namespaces": [
{
"dimensions": "[[\"resource_id\"]]",
"name": "Virtual Server"
}
],
"resource_id": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502",
"resource_name": "VirtualServer01",
"tags": [
{
"key": "key01",
"value": "value01"
}
]
}
Example HTTP response
Response 200
{
"count": 1,
"namespaces": [
{
"dimensions": [
{
"columns": [
{
"key": "name",
"name_en": "지표명",
"name_ko": "지표명"
}
],
"keys": "InstanceId",
"metrics": [
{
"alerts": [
{
"id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
"name": "Alert1"
}
],
"default_collection_interval": "5m",
"detailed_collection_interval": "1m",
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"name": "CPU Usage/Core[Basic]",
"named_dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"namespace_name": "Virtual Server",
"primary": true,
"recommended_stat_types": "[\"AVG\", \"MAX\"]",
"tags": [
{
"key": "key01",
"value": "value01"
}
],
"unit": "BYTE"
}
]
}
],
"id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"name": "Virtual Server",
"service_name": ""
}
]
}
1.19.2 - 1.1
post /v1/metrics
Description
Get metric list
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | MetricsResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"metric_name": "CPU Usage/Core[Basic]",
"namespaces": [
{
"dimensions": "[[\"resource_id\"]]",
"name": "Virtual Server"
}
],
"resource_id": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502",
"resource_name": "VirtualServer01",
"tags": [
{
"key": "key01",
"value": "value01"
}
]
}
Example HTTP response
Response 200
{
"count": 1,
"namespaces": [
{
"dimensions": [
{
"columns": [
{
"key": "name",
"name_en": "지표명",
"name_ko": "지표명"
}
],
"keys": "InstanceId",
"metrics": [
{
"alerts": [
{
"id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
"name": "Alert1"
}
],
"default_collection_interval": "5m",
"detailed_collection_interval": "1m",
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"name": "CPU Usage/Core[Basic]",
"named_dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"namespace_name": "Virtual Server",
"primary": true,
"recommended_stat_types": "[\"AVG\", \"MAX\"]",
"tags": [
{
"key": "key01",
"value": "value01"
}
],
"unit": "BYTE"
}
]
}
],
"id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"name": "Virtual Server",
"service_name": ""
}
]
}
1.19.3 - 1.0
post /v1/metrics
Description
Get metric list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | MetricsResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"metric_name": "CPU Usage/Core[Basic]",
"namespaces": [
{
"dimensions": "[\"resource_id\"]",
"name": "Virtual Server"
}
],
"resource_id": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502",
"resource_name": "VirtualServer01",
"tags": [
{
"key": "key01",
"value": "value01"
}
]
}
Example HTTP response
Response 200
{
"count": 1,
"namespaces": [
{
"dimensions": [
{
"columns": [
{
"key": "name",
"name_en": "지표명",
"name_ko": "지표명"
}
],
"key": "InstanceId",
"metrics": [
{
"alerts": [
{
"id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
"name": "Alert1"
}
],
"default_collection_interval": "5m",
"detailed_collection_interval": "1m",
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"name": "CPU Usage/Core[Basic]",
"named_dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"namespace_name": "Virtual Server",
"primary": true,
"recommended_stat_types": "[\"AVG\", \"MAX\"]",
"tags": [
{
"key": "key01",
"value": "value01"
}
],
"unit": "BYTE"
}
]
}
],
"id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"name": "Virtual Server",
"service_name": ""
}
]
}
1.20 - SetAlert
1.20.1 - 1.2
patch /v1/alerts/{id}
Description
Set the Alert
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | id required | Alert ID Example : 0ad6da92-634a-4f8c-932e-9d650599ab1e
| string | None |
| body | body required |
| AlertSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | AlertSetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/alerts/{id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"dimension": {
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
},
"dimensions": [],
"evaluation_count": 3,
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"level": "HIGH",
"lower_bound": 80.0,
"metric_id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"missing_data_option": "BREACHING",
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"operator": "RANGE",
"period": 300,
"statistic": "AVG",
"threshold": 80.0,
"upper_bound": 90.0,
"violation_count": 2
}
Example HTTP response
Response 200
{
"dimension": {
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
},
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"level": "HIGH",
"lower_bound": 80.0,
"metric_id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"missing_data_option": "BREACHING",
"modified_at": "2026-03-13T02:34:40.010698",
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"operator": "RANGE",
"period": 300,
"statistic": "AVG",
"threshold": 80.0,
"upper_bound": 90.0
}
1.21 - SetAlertActivated
1.21.1 - 1.2
patch /v1/alerts/{id}/activated
Description
Set the Alert Activated
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | id required | Alert ID Example : 0ad6da92-634a-4f8c-932e-9d650599ab1e
| string | None |
| body | body required |
| AlertActivatedSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | AlertActivatedSetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/alerts/{id}/activated
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
Example HTTP response
Response 200
{
"activated_yn": "Y",
"id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
"modified_at": "2026-03-13T02:34:40.008404"
}
1.22 - SetAlertDescription
1.22.1 - 1.2
patch /v1/alerts/{id}/description
Description
Set the Alert Description
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | id required | Alert ID Example : 0ad6da92-634a-4f8c-932e-9d650599ab1e
| string | None |
| body | body required |
| AlertDescriptionSetRequest | |
Responses
Example HTTP request
Request path
/v1/alerts/{id}/description
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"description": "Alert1 Description"
}
Example HTTP response
Response 200
{
"description": "Alert1 Description",
"id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
"modified_at": "2026-03-13T02:34:40.006634"
}
1.23 - SetDashboard
1.23.1 - 1.2
put /v1/dashboards/{dashboard_id}
Description
Set dashboard
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | dashboard_id required | Dashboard’s unique ID Example : b48e730a70e74f6aa3d2555000b5c22b
| string | None |
| body | body required |
| DashboardUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/dashboards/{dashboard_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"name": "Renamed-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 200
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-04-14T15:03:58.140Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"service_code": "virtualserver",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
1.23.2 - 1.1
put /v1/dashboards/{dashboard_id}
Description
Set dashboard
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | dashboard_id required | Dashboard’s unique ID Example : b48e730a70e74f6aa3d2555000b5c22b
| string | None |
| body | body required |
| DashboardUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/dashboards/{dashboard_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"name": "Renamed-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 200
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-04-14T15:03:57.584Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"service_code": "virtualserver",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
1.23.3 - 1.0
put /v1/dashboards/{dashboard_id}
Description
Set dashboard
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | dashboard_id required | Dashboard’s unique ID Example : b48e730a70e74f6aa3d2555000b5c22b
| string | None |
| body | body required |
| DashboardUpdateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | DashboardDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/dashboards/{dashboard_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"name": "Renamed-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 200
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-04-14T15:03:57.237Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
1.24 - SetEventRule
1.24.1 - 1.2
patch /v1/event-rules/{event_rule_id}
Description
Set the Event rule.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | event_rule_id required | Event rule ID Example : b73f95c698f540dab18860f72fafd03f
| string | None |
| body | body required |
| EventRuleSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/event-rules/{event_rule_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"active_yn": "Y",
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"none_attributes": [
"description",
"resource_type_id",
"event_ids",
"srn_list",
"recipient_ids"
],
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
]
}
Example HTTP response
Response 200
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2026-04-14T15:03:58.209Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2026-04-14T15:03:58.209Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
1.24.2 - 1.1
patch /v1/event-rules/{event_rule_id}
Description
Set the Event rule.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | event_rule_id required | Event rule ID Example : b73f95c698f540dab18860f72fafd03f
| string | None |
| body | body required |
| EventRuleSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/event-rules/{event_rule_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"active_yn": "Y",
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"none_attributes": [
"description",
"resource_type_id",
"event_ids",
"srn_list",
"recipient_ids"
],
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
]
}
Example HTTP response
Response 200
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2026-04-14T15:03:57.637Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2026-04-14T15:03:57.637Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
1.24.3 - 1.0
patch /v1/event-rules/{event_rule_id}
Description
Set the Event rule.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | event_rule_id required | Event rule ID Example : b73f95c698f540dab18860f72fafd03f
| string | None |
| body | body required |
| EventRuleSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/event-rules/{event_rule_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"active_yn": "Y",
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"none_attributes": [
"description",
"resource_type_id",
"event_ids",
"srn_list",
"recipient_ids"
],
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
]
}
Example HTTP response
Response 200
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2026-04-14T15:03:57.299Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2026-04-14T15:03:57.299Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
1.25 - SetLogGroup
1.25.1 - 1.2
patch /v1/log-groups/{log_group_id}
Description
Set the Log group.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8
| string | None |
| body | body required |
| LogGroupSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"retention_period": 365
}
Example HTTP response
Response 200
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2026-04-14T15:03:58.330Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:58.330Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
1.25.2 - 1.1
patch /v1/log-groups/{log_group_id}
Description
Set the Log group.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8
| string | None |
| body | body required |
| LogGroupSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"retention_period": 365
}
Example HTTP response
Response 200
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2026-04-14T15:03:57.742Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:57.742Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
1.25.3 - 1.0
patch /v1/log-groups/{log_group_id}
Description
Set the Log group.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8
| string | None |
| body | body required |
| LogGroupSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"retention_period": 365
}
Example HTTP response
Response 200
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2026-04-14T15:03:57.369Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-04-14T15:03:57.369Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
1.26 - ShowAgentDownloadLink
1.26.1 - 1.2
get /v1/agents/download-link
Description
Show link to agent download
State
ACTIVE (CURRENT)
Responses
Example HTTP request
Request path
/v1/agents/download-link
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Example HTTP response
Response 200
{
"download_link": "https://object-store.private.{region}.{environment}.samsungsdscloud.com/account:swt-agent/1.0/ServiceWatch_Agent.zip"
}
1.26.2 - 1.1
get /v1/agents/download-link
Description
Show link to agent download
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260831 |
Responses
Example HTTP request
Request path
/v1/agents/download-link
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Example HTTP response
Response 200
{
"download_link": "https://object-store.private.{region}.{environment}.samsungsdscloud.com/account:swt-agent/1.0/ServiceWatch_Agent.zip"
}
1.27 - ShowAlert
1.27.1 - 1.2
get /v1/alerts/{id}
Description
Show the Alert
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | id required | Alert ID Example : 0ad6da92-634a-4f8c-932e-9d650599ab1e
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | AlertDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/alerts/{id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Example HTTP response
Response 200
{
"activated_yn": "Y",
"created_at": "2026-04-14T15:03:57.934Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Alert1 Description",
"dimension": {
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
},
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"evaluation_count": 3,
"evaluation_time_window": 900,
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"level": "HIGH",
"lower_bound": 80.0,
"metric_id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"metric_name": "CPU Usage/Core[Basic]",
"metric_unit": "BYTE",
"missing_data_option": "BREACHING",
"modified_at": "2026-04-14T15:03:57.935Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Alert1",
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"namespace_name": "Virtual Server",
"operator": "RANGE",
"period": 300,
[...]
